/**
 * apeman bud for LICENSE files.
 * @memberof module:apeman-bud-license/lib
 * @function setup
 * @param {object} params - Template params.
 * @returns {object} - Coz bud configuration.
 */

'use strict'

const assert = require('assert')
const pkg = require('../package.json')
const _tmpl = require('./_tmpl')

/** @lends setup */
function setup (params = {}) {
  assert.ok(params.type, `[${pkg.name}] params.type is required.`)
  assert.ok(params.holder, `[${pkg.name}] params.holder is required.`)

  if (params.type === 'UNLICENSED') {
    return []
  }
  return {
    force: true,
    mode: '444',
    path: '',
    tmpl: _tmpl(params.type),
    data: {
      holder: params.holder,
      year: params.year || new Date().getFullYear()
    }
  }
}

module.exports = setup
