/**
 * Test case for setup.
 * Runs with mocha.
 */
'use strict'

const setup = require('../lib/setup.js')
const assert = require('assert');
const co = require('co');
const coz = require('coz');

describe('setup', () => {
  it('Setup', () => co(function * () {
    let buds = [
      setup({
        type: 'MIT',
        holder: 'foo'
      })
    ]
    for (let bud of buds) {
      assert.ok(bud)
      assert.ok(bud.tmpl)
      bud.mkdirp = true
      bud.path = __dirname + '/../tmp/foo/bar/baz.txt'
      yield coz.render(bud)
    }
  }))
  it('Setup without type', () => co(function * () {
    try {
      setup({
        type: null,
        holder: 'foo'
      })
    } catch (e) {

    }
  }))
})

/* global describe, before, after, it */
